BadFunctionCallException
DomainException
Exceptions
PHP Manual

# The BadMethodCallException class

## Introduction

Exception thrown if a callback refers to an undefined method or if some arguments are missing

## Class synopsis

BadMethodCallException
BadMethodCallException extends BadFunctionCallException {
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

BadFunctionCallException
DomainException
Exceptions
PHP Manual